<script lang="ts">
import Vue, { PropType } from 'vue';
import { CtfCard, CtfEntry } from '~/models';

export default Vue.extend({
  props: {
    data: {
      type: Object as PropType<CtfEntry<CtfCard>>,
      required: true,
    },
  },
});
</script>

<template>
  <SlpContainer>
    <div class="background">
      <SlpTypography class="slp-pb-16" variant="heading4-bold" tag="h3">
        {{ data.fields.title }}
      </SlpTypography>
      <div v-for="item in data.fields.list" :key="item" class="flex slp-pt-16">
        <SlpIcon
          class="icon"
          name="check-circle"
          variant="product"
          size="sm"
          slp-color="black"
        />
        <div v-html="$md.render(item)" />
      </div>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.background {
  background: $color-surface-800;
  padding: $spacing-32;
  margin: $spacing-32 $spacing-0;
}
.flex {
  display: flex;
  align-items: center;
  gap: 16px;
}

.icon {
  align-self: baseline;
  margin-top: 2.5px;
}
</style>
